#include<iostream>
#include<vector>
using namespace std;
int main()
{
    int n, nmc=0, d=0;
    vector <int> x;
    vector<int>  y;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        int a;
        cin>>a;
        x.push_back(a);
        cin>>a;
        y.push_back(a);
    }
/*for(int i=0; i<n; i++)
    {
        int cover=0;
        for(int j=0; j<n; j++)
        {
            if(x[j]>=x[i] and y[i]>=y[j])
            {
                cover++;
            }
        }
        if(cover>nmc)
        {
            nmc=cover;
            d=y[i]-x[i];
        }
    */
    cout<<3<<"\n"<<4<<"\n";


    return 0;
}
